# H225_SecurityErrors2 Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum | Choices { e_securityWrongSyncTime, e_securityReplay, e_securityWrongGeneralID, e_securityWrongSendersID, e_securityIntegrityFailed, e_securityWrongOID }

## Public Member Functions

| H225_SecurityErrors2 (unsigned tag=0, TagClass tagClass=UniversalTagClass)
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_SecurityErrors2::Choices

Enumerator:

  e_securityWrongSyncTime |
  e_securityReplay |
  e_securityWrongGeneralID |
  e_securityWrongSendersID |
  e_securityIntegrityFailed |
  e_securityWrongOID |

## Constructor & Destructor Documentation

H225_SecurityErrors2::H225_SecurityErrors2 | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PBoolean H225_SecurityErrors2::CreateObject | ( |  | ) |

PObject* H225_SecurityErrors2::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h